Get data for the given custom report run.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Custom Reports under the Custom Reports category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/reports/runs/data \
--header 'Authorization: Bearer <token>'{
"data": {
"columns": [
{
"dataType": "string",
"name": "Device Name",
"unit": "kilometersPerHour"
}
],
"rows": [
[
"Est eos cum nemo dolores rem amet.",
"Sit tempore ipsa.",
"Recusandae libero sit qui officiis."
],
[
"Ut voluptatem eos perferendis.",
"Inventore id quod veritatis enim ea.",
"Dolor labore omnis ut adipisci.",
"Deserunt beatae aliquam explicabo illo blanditiis mollitia."
]
],
"status": "complete"
},
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the report run.
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
Maximum number of rows to return.
1 <= x <= 1024curl --request GET \
--url https://api.samsara.com/reports/runs/data \
--header 'Authorization: Bearer <token>'{
"data": {
"columns": [
{
"dataType": "string",
"name": "Device Name",
"unit": "kilometersPerHour"
}
],
"rows": [
[
"Est eos cum nemo dolores rem amet.",
"Sit tempore ipsa.",
"Recusandae libero sit qui officiis."
],
[
"Ut voluptatem eos perferendis.",
"Inventore id quod veritatis enim ea.",
"Dolor labore omnis ut adipisci.",
"Deserunt beatae aliquam explicabo illo blanditiis mollitia."
]
],
"status": "complete"
},
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}